#pragma once

#include "blitz/common/Vector.h"

namespace blitz {
namespace game {

class PlayerListener {
  public:
	virtual void OnPlayerJump() {}
	virtual void OnPlayerShoot(const Vec3f& position, float yaw, float pitch) {}
};

}  // namespace game
}  // namespace blitz
